package cn.ibizlab.r7.runtime.core.r7rt_base.domain;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.math.BigInteger;
import java.util.HashMap;
import java.math.BigDecimal;
import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import java.io.Serializable;

/**
 * 实体[用户角色资源能力]
 */
public class UserRoleRes implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 建立人
     */
    private String createMan;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean createManDirtyFlag;

    /**
     * 更新人
     */
    private String updateMan;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean updateManDirtyFlag;

    /**
     * 是否启用
     */
    private Integer enable;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean enableDirtyFlag;

    /**
     * 建立时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    private Timestamp createDate;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean createDateDirtyFlag;

    /**
     * 更新时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    private Timestamp updateDate;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean updateDateDirtyFlag;

    /**
     * 用户角色资源能力标识
     */
    private String userRoleResId;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean userRoleResIdDirtyFlag;

    /**
     * 用户角色资源能力名称
     */
    private String userRoleResName;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean userRoleResNameDirtyFlag;

    /**
     * 角色名称
     */
    private String userRoleName;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean userRoleNameDirtyFlag;

    /**
     * 资源名称
     */
    private String uniResName;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean uniResNameDirtyFlag;

    /**
     * 用户角色标识
     */
    private String userRoleId;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean userRoleIdDirtyFlag;

    /**
     * 统一资源标识
     */
    private String uniResId;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean uniResIdDirtyFlag;


    /**
     * 获取 [建立人]
     */
    @JsonProperty("createman")
    @JSONField(name="createman")
    public String getCreateMan(){
        return this.createMan ;
    }

    /**
     * 设置 [建立人]
     */
    @JsonProperty("createman")
    @JSONField(name="createman")
    public void setCreateMan(String createMan){
        this.createMan = createMan ;
        this.createManDirtyFlag = true ;
    }

    /**
     * 获取 [建立人]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getCreateManDirtyFlag(){
        return this.createManDirtyFlag ;
    }
    /**
     * 获取 [更新人]
     */
    @JsonProperty("updateman")
    @JSONField(name="updateman")
    public String getUpdateMan(){
        return this.updateMan ;
    }

    /**
     * 设置 [更新人]
     */
    @JsonProperty("updateman")
    @JSONField(name="updateman")
    public void setUpdateMan(String updateMan){
        this.updateMan = updateMan ;
        this.updateManDirtyFlag = true ;
    }

    /**
     * 获取 [更新人]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getUpdateManDirtyFlag(){
        return this.updateManDirtyFlag ;
    }
    /**
     * 获取 [是否启用]
     */
    @JsonProperty("enable")
    @JSONField(name="enable")
    public Integer getEnable(){
        return this.enable ;
    }

    /**
     * 设置 [是否启用]
     */
    @JsonProperty("enable")
    @JSONField(name="enable")
    public void setEnable(Integer enable){
        this.enable = enable ;
        this.enableDirtyFlag = true ;
    }

    /**
     * 获取 [是否启用]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getEnableDirtyFlag(){
        return this.enableDirtyFlag ;
    }
    /**
     * 获取 [建立时间]
     */
    @JsonProperty("createdate")
    @JSONField(name="createdate")
    public Timestamp getCreateDate(){
        return this.createDate ;
    }

    /**
     * 设置 [建立时间]
     */
    @JsonProperty("createdate")
    @JSONField(name="createdate")
    public void setCreateDate(Timestamp createDate){
        this.createDate = createDate ;
        this.createDateDirtyFlag = true ;
    }

    /**
     * 获取 [建立时间]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getCreateDateDirtyFlag(){
        return this.createDateDirtyFlag ;
    }
    /**
     * 获取 [更新时间]
     */
    @JsonProperty("updatedate")
    @JSONField(name="updatedate")
    public Timestamp getUpdateDate(){
        return this.updateDate ;
    }

    /**
     * 设置 [更新时间]
     */
    @JsonProperty("updatedate")
    @JSONField(name="updatedate")
    public void setUpdateDate(Timestamp updateDate){
        this.updateDate = updateDate ;
        this.updateDateDirtyFlag = true ;
    }

    /**
     * 获取 [更新时间]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getUpdateDateDirtyFlag(){
        return this.updateDateDirtyFlag ;
    }
    /**
     * 获取 [用户角色资源能力标识]
     */
    @JsonProperty("userroleresid")
    @JSONField(name="userroleresid")
    public String getUserRoleResId(){
        return this.userRoleResId ;
    }

    /**
     * 设置 [用户角色资源能力标识]
     */
    @JsonProperty("userroleresid")
    @JSONField(name="userroleresid")
    public void setUserRoleResId(String userRoleResId){
        this.userRoleResId = userRoleResId ;
        this.userRoleResIdDirtyFlag = true ;
    }

    /**
     * 获取 [用户角色资源能力标识]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getUserRoleResIdDirtyFlag(){
        return this.userRoleResIdDirtyFlag ;
    }
    /**
     * 获取 [用户角色资源能力名称]
     */
    @JsonProperty("userroleresname")
    @JSONField(name="userroleresname")
    public String getUserRoleResName(){
        return this.userRoleResName ;
    }

    /**
     * 设置 [用户角色资源能力名称]
     */
    @JsonProperty("userroleresname")
    @JSONField(name="userroleresname")
    public void setUserRoleResName(String userRoleResName){
        this.userRoleResName = userRoleResName ;
        this.userRoleResNameDirtyFlag = true ;
    }

    /**
     * 获取 [用户角色资源能力名称]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getUserRoleResNameDirtyFlag(){
        return this.userRoleResNameDirtyFlag ;
    }
    /**
     * 获取 [角色名称]
     */
    @JsonProperty("userrolename")
    @JSONField(name="userrolename")
    public String getUserRoleName(){
        return this.userRoleName ;
    }

    /**
     * 设置 [角色名称]
     */
    @JsonProperty("userrolename")
    @JSONField(name="userrolename")
    public void setUserRoleName(String userRoleName){
        this.userRoleName = userRoleName ;
        this.userRoleNameDirtyFlag = true ;
    }

    /**
     * 获取 [角色名称]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getUserRoleNameDirtyFlag(){
        return this.userRoleNameDirtyFlag ;
    }
    /**
     * 获取 [资源名称]
     */
    @JsonProperty("uniresname")
    @JSONField(name="uniresname")
    public String getUniResName(){
        return this.uniResName ;
    }

    /**
     * 设置 [资源名称]
     */
    @JsonProperty("uniresname")
    @JSONField(name="uniresname")
    public void setUniResName(String uniResName){
        this.uniResName = uniResName ;
        this.uniResNameDirtyFlag = true ;
    }

    /**
     * 获取 [资源名称]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getUniResNameDirtyFlag(){
        return this.uniResNameDirtyFlag ;
    }
    /**
     * 获取 [用户角色标识]
     */
    @JsonProperty("userroleid")
    @JSONField(name="userroleid")
    public String getUserRoleId(){
        return this.userRoleId ;
    }

    /**
     * 设置 [用户角色标识]
     */
    @JsonProperty("userroleid")
    @JSONField(name="userroleid")
    public void setUserRoleId(String userRoleId){
        this.userRoleId = userRoleId ;
        this.userRoleIdDirtyFlag = true ;
    }

    /**
     * 获取 [用户角色标识]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getUserRoleIdDirtyFlag(){
        return this.userRoleIdDirtyFlag ;
    }
    /**
     * 获取 [统一资源标识]
     */
    @JsonProperty("uniresid")
    @JSONField(name="uniresid")
    public String getUniResId(){
        return this.uniResId ;
    }

    /**
     * 设置 [统一资源标识]
     */
    @JsonProperty("uniresid")
    @JSONField(name="uniresid")
    public void setUniResId(String uniResId){
        this.uniResId = uniResId ;
        this.uniResIdDirtyFlag = true ;
    }

    /**
     * 获取 [统一资源标识]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getUniResIdDirtyFlag(){
        return this.uniResIdDirtyFlag ;
    }

}

